# -*- coding: utf-8 -*-


from collections import OrderedDict


languages = OrderedDict(
    (
        ("af", "Afrikaans"),
        ("az", "Azərbaycan"),
        ("id", "Bahasa Indonesia"),
        ("ms", "Bahasa Malaysia"),
        ("bs", "Bosanski"),
        ("ca", "Català"),
        ("cs", "Čeština"),
        ("da", "Dansk"),
        ("de", "Deutsch"),
        ("et", "Eesti"),
        ("en-IN", "English (India)"),
        ("en-GB", "English (UK)"),
        ("en", "English (US)"),
        ("es", "Español (España)"),
        ("es-419", "Español (Latinoamérica)"),
        ("es-US", "Español (US)"),
        ("eu", "Euskara"),
        ("fil", "Filipino"),
        ("fr", "Français"),
        ("fr-CA", "Français (Canada)"),
        ("gl", "Galego"),
        ("hr", "Hrvatski"),
        ("zu", "IsiZulu"),
        ("is", "Íslenska"),
        ("it", "Italiano"),
        ("sw", "Kiswahili"),
        ("lv", "Latviešu valoda"),
        ("lt", "Lietuvių"),
        ("hu", "Magyar"),
        ("nl", "Nederlands"),
        ("no", "Norsk"),
        ("uz", "O‘zbek"),
        ("pl", "Polski"),
        ("pt-PT", "Português"),
        ("pt", "Português (Brasil)"),
        ("ro", "Română"),
        ("sq", "Shqip"),
        ("sk", "Slovenčina"),
        ("sl", "Slovenščina"),
        ("sr-Latn", "Srpski"),
        ("fi", "Suomi"),
        ("sv", "Svenska"),
        ("vi", "Tiếng Việt"),
        ("tr", "Türkçe"),
        ("be", "Беларуская"),
        ("bg", "Български"),
        ("ky", "Кыргызча"),
        ("kk", "Қазақ Тілі"),
        ("mk", "Македонски"),
        ("mn", "Монгол"),
        ("ru", "Русский"),
        ("sr", "Српски"),
        ("uk", "Українська"),
        ("el", "Ελληνικά"),
        ("hy", "Հայերեն"),
        ("iw", "עברית"),
        ("ur", "اردو"),
        ("ar", "العربية"),
        ("fa", "فارسی"),
        ("ne", "नेपाली"),
        ("mr", "मराठी"),
        ("hi", "हिन्दी"),
        ("as", "অসমীয়া"),
        ("bn", "বাংলা"),
        ("pa", "ਪੰਜਾਬੀ"),
        ("gu", "ગુજરાતી"),
        ("or", "ଓଡ଼ିଆ"),
        ("ta", "தமிழ்"),
        ("te", "తెలుగు"),
        ("kn", "ಕನ್ನಡ"),
        ("ml", "മലയാളം"),
        ("si", "සිංහල"),
        ("th", "ภาษาไทย"),
        ("lo", "ລາວ"),
        ("my", "ဗမာ"),
        ("ka", "ქართული"),
        ("am", "አማርኛ"),
        ("km", "ខ្មែរ"),
        ("zh-CN", "中文 (简体)"),
        ("zh-TW", "中文 (繁體)"),
        ("zh-HK", "中文 (香港)"),
        ("ja", "日本語"),
        ("ko", "한국어")
    )
)


locations = OrderedDict(
    (
        ("DZ", "Algeria, الجزائر"),
        ("AR", "Argentina"),
        ("AU", "Australia"),
        ("AT", "Austria, Österreich"),
        ("AZ", "Azerbaijan"),
        ("BH", "Bahrain"),
        ("BD", "Bangladesh, বাংলাদেশ"),
        ("BY", "Belarus"),
        ("BE", "Belgium"),
        ("BO", "Bolivia"),
        ("BA", "Bosnia and Herzegovina"),
        ("BR", "Brazil, Brasil"),
        ("BG", "Bulgaria, България"),
        ("CA", "Canada"),
        ("CL", "Chile"),
        ("CO", "Colombia"),
        ("CR", "Costa Rica"),
        ("HR", "Croatia, Hrvatska"),
        ("CY", "Cyprus"),
        ("CZ", "Czechia, Česko"),
        ("DK", "Denmark, Danmark"),
        ("DO", "Dominican Republic, República Dominicana"),
        ("EC", "Ecuador"),
        ("EG", "Egypt, مصر"),
        ("SV", "El Salvador"),
        ("EE", "Estonia, Eesti"),
        ("FI", "Finland"),
        ("FR", "France"),
        ("GE", "Georgia, საქართველო"),
        ("DE", "Germany, Deutschland"),
        ("GH", "Ghana"),
        ("GR", "Greece, Ελλάδα"),
        ("GT", "Guatemala"),
        ("HN", "Honduras"),
        ("HK", "Hong Kong"),
        ("HU", "Hungary, Magyarország"),
        ("IS", "Iceland, Ísland"),
        ("IN", "India"),
        ("ID", "Indonesia"),
        ("IQ", "Iraq"),
        ("IE", "Ireland"),
        ("IL", "Israel"),
        ("IT", "Italy, Italia"),
        ("JM", "Jamaica"),
        ("JP", "Japan, 日本"),
        ("JO", "Jordan, الأردن"),
        ("KZ", "Kazakhstan"),
        ("KE", "Kenya"),
        ("KW", "Kuwait, الكويت"),
        ("LV", "Latvia, Latvija"),
        ("LB", "Lebanon"),
        ("LY", "Libya"),
        ("LI", "Liechtenstein"),
        ("LT", "Lithuania, Lietuva"),
        ("LU", "Luxembourg"),
        ("MY", "Malaysia"),
        ("MT", "Malta"),
        ("MX", "Mexico, México"),
        ("ME", "Montenegro, Црна Гора"),
        ("MA", "Morocco"),
        ("NP", "Nepal, नेपाल"),
        ("NL", "Netherlands, Nederland"),
        ("NZ", "New Zealand"),
        ("NI", "Nicaragua"),
        ("NG", "Nigeria"),
        ("MK", "North Macedonia, Македонија"),
        ("NO", "Norway"),
        ("OM", "Oman, عمان"),
        ("PK", "Pakistan"),
        ("PA", "Panama, Panamá"),
        ("PG", "Papua New Guinea"),
        ("PY", "Paraguay"),
        ("PE", "Peru"),
        ("PH", "Philippines"),
        ("PL", "Poland, Polska"),
        ("PT", "Portugal"),
        ("PR", "Puerto Rico"),
        ("QA", "Qatar, قطر"),
        ("RO", "Romania, România"),
        ("RU", "Russia, Россия"),
        ("SA", "Saudi Arabia, العربية السعودية"),
        ("SN", "Senegal, Sénégal"),
        ("RS", "Serbia, Србија"),
        ("SG", "Singapore"),
        ("SK", "Slovakia, Slovensko"),
        ("SI", "Slovenia, Slovenija"),
        ("ZA", "South Africa"),
        ("KR", "South Korea, 한국"),
        ("ES", "Spain, España"),
        ("LK", "Sri Lanka"),
        ("SE", "Sweden, Sverige"),
        ("CH", "Switzerland"),
        ("TW", "Taiwan, 台灣"),
        ("TZ", "Tanzania"),
        ("TH", "Thailand, ประเทศไทย"),
        ("TN", "Tunisia, تونس"),
        ("TR", "Turkey, Türkiye"),
        ("UG", "Uganda"),
        ("UA", "Ukraine, Україна"),
        ("AE", "United Arab Emirates, دولة الإمارات العربية المتحدة"),
        ("GB", "United Kingdom"),
        ("US", "United States"),
        ("UY", "Uruguay"),
        ("VE", "Venezuela"),
        ("VN", "Vietnam, Việt Nam"),
        ("YE", "Yemen, اليَمَن"),
        ("ZW", "Zimbabwe")
    )
)

